メインコンテンツまでスキップ

グループロールの一覧取得 (V2)

Lists roles directly assigned to a SCIM group.

GET/v2/groups/{groupId}/roles
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API キーである必要があります。

値の例: Bearer {{TOKEN}}
groupIdstringpath必要

SCIM グループ ID。

値の例: g-xxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export groupId="g-xxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/groups/${groupId}/roles" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

成功した結果またはエラーメッセージを返します。

成功したレスポンス。

codeinteger必要

レスポンスコード。

値の例: 0
dataobject必要
orgRolesarray必要

プリンシパルに直接割り当てられた組織スコープのロール。

[]orgRolesobject必要

メンバーまたはグループに直接割り当てられたロール。

roleIdstring必要

ロール ID。

roleNamestring必要

ロールの表示名。

roleKindstring必要

ロールが事前定義されているか、カスタムであるか。

assignedBystring必要

ロールを割り当てたユーザーの表示名、またはユーザー以外の割り当て元の生の値。

projectRolesarray必要

プリンシパルに直接割り当てられたプロジェクトスコープのロール。プロジェクトごとにグループ化されています。

[]projectRolesobject必要
projectIdstring必要

プロジェクト ID。

rolesarray必要

プロジェクト内で割り当てられたロール。

[]rolesobject必要

メンバーまたはグループに直接割り当てられたロール。

roleIdstring必要

ロール ID。

roleNamestring必要

ロールの表示名。

roleKindstring必要

ロールが事前定義されているか、カスタムであるか。

assignedBystring必要

ロールを割り当てたユーザーの表示名、またはユーザー以外の割り当て元の生の値。

失敗したレスポンス。

codeinteger必要

レスポンスコード。

messagestring必要

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"orgRoles": [
{
"roleId": "r-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"roleName": "Public",
"roleKind": "pre-defined",
"assignedBy": "Bob Li"
}
],
"projectRoles": [
{
"projectId": "proj-xxxxxxxx",
"roles": [
{
"roleId": "r-yyyyyyyyyyyyyyyyyyyyyyyyyyyyyy",
"roleName": "Data Reader",
"roleKind": "custom",
"assignedBy": "Bob Li"
}
]
}
]
}
}
Ctrl I